Skip to content
Docs

Delete User Account

DELhttps://api.vercel.com/v1/user
Initiates the deletion process for the currently authenticated User, by sending a deletion confirmation email. The email contains a link that the user needs to visit in order to proceed with the deletion process.
https://api.vercel.com/v1/user
const response = await fetch('https://api.vercel.com/v1/user', {
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);
Response
{
"email": "user@example.com",
"id": "icfg_1234567890",
"message": "Verification email sent"
}
AuthorizationbearerToken

Default authentication mechanism

application/json
reasonsarrayOptional
Optional array of objects that describe the reason why the User account is being deleted.
202Response indicating that the User deletion process has been initiated, and a confirmation email has been sent.
emailstringRequired
Email address of the User who has initiated deletion.
idstringRequired
Unique identifier of the User who has initiated deletion.
messagestringRequired
User deletion progress status.
400One of the provided values in the request body is invalid.
402Error
403You do not have permission to access this resource.
410Error